博客主页 😞
标签

宝塔面板

下的文章

Blog:

火喵博客・日记本
十一国庆,记录一次宝塔面板无法访问
打开网站,一切正常,都能进去。网站的redis,mysql都是正常的。后台bt命令也正常,只是唯独宝塔面板地址显示——127.0.0.1拒绝了我们的连接请求。。于是群里求助,群友说大概率是端口没开放,于是使用命令netstat -ntlp查看端口,没有8888端口!紧接着就去百度搜解决方法了。运行bt打开宝塔菜单,查看一下错误日志——22,显示以下错误: monkey.patch_all() File "/www/server/panel/pyenv/lib/python3.7/site-packages/gevent/monkey.py", line 966, in patch_all _notify_patch(events.GeventWillPatchAllEvent(modules_to_patch, kwargs), _warnings) File "/www/server/panel/pyenv/lib/python3.7/site-packages/gevent/monkey.py", line 168, in _notify_patch notify_and_call_entry_points(event) File "/www/server/panel/pyenv/lib/python3.7/site-packages/gevent/events.py", line 111, in notify_and_call_entry_points for plugin in iter_entry_points(event.ENTRY_POINT_NAME): File "/www/server/panel/pyenv/lib/python3.7/site-packages/pkg_resources/__init__.py", line 641, in <genexpr> for entry in dist.get_entry_map(group).values() File "/www/server/panel/pyenv/lib/python3.7/site-packages/pkg_resources/__init__.py", line 2854, in get_entry_map self._get_metadata('entry_points.txt'), self File "/www/server/panel/pyenv/lib/python3.7/site-packages/pkg_resources/__init__.py", line 2534, in parse_map for group, lines in data: File "/www/server/panel/pyenv/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3190, in split_sections for line in yield_lines(s): File "/www/server/panel/pyenv/lib/python3.7/site-packages/pkg_resources/__init__.py", line 2394, in yield_lines for ss in strs: File "/www/server/panel/pyenv/lib/python3.7/site-packages/pkg_resources/__init__.py", line 2765, in _get_metadata for line in self.get_metadata_lines(name): File "/www/server/panel/pyenv/lib/python3.7/site-packages/pkg_resources/__init__.py", line 1417, in get_metadata_lines return yield_lines(self.get_metadata(name)) File "/www/server/panel/pyenv/lib/python3.7/site-packages/pkg_resources/__init__.py", line 1407, in get_metadata value = self._get(path) File "/www/server/panel/pyenv/lib/python3.7/site-packages/pkg_resources/__init__.py", line 1612, in _get return stream.read() OSError: [Errno 5] Input/output error Traceback (most recent call last): File "/www/server/panel/pyenv/lib/python3.7/site-packages/pkg_resources/__init__.py", line 2851, in get_entry_map ep_map = self._ep_map File "/www/server/panel/pyenv/lib/python3.7/site-packages/pkg_resources/__init__.py", line 2813, in __getattr__ raise AttributeError(attr) AttributeError: _ep_map During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/www/server/panel/BT-Panel", line 11, in <module> monkey.patch_all() File "/www/server/panel/pyenv/lib/python3.7/site-packages/gevent/monkey.py", line 966, in patch_all _notify_patch(events.GeventWillPatchAllEvent(modules_to_patch, kwargs), _warnings) File "/www/server/panel/pyenv/lib/python3.7/site-packages/gevent/monkey.py", line 168, in _notify_patch notify_and_call_entry_points(event) File "/www/server/panel/pyenv/lib/python3.7/site-packages/gevent/events.py", line 111, in notify_and_call_entry_points for plugin in iter_entry_points(event.ENTRY_POINT_NAME): File "/www/server/panel/pyenv/lib/python3.7/site-packages/pkg_resources/__init__.py", line 641, in <genexpr> for entry in dist.get_entry_map(group).values() File "/www/server/panel/pyenv/lib/python3.7/site-packages/pkg_resources/__init__.py", line 2854, in get_entry_map self._get_metadata('entry_points.txt'), self File "/www/server/panel/pyenv/lib/python3.7/site-packages/pkg_resources/__init__.py", line 2534, in parse_map for group, lines in data: File "/www/server/panel/pyenv/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3190, in split_sections for line in yield_lines(s): File "/www/server/panel/pyenv/lib/python3.7/site-packages/pkg_resources/__init__.py", line 2394, in yield_lines for ss in strs: File "/www/server/panel/pyenv/lib/python3.7/site-packages/pkg_resources/__init__.py", line 2765, in _get_metadata for line in self.get_metadata_lines(name): File "/www/server/panel/pyenv/lib/python3.7/site-packages/pkg_resources/__init__.py", line 1417, in get_metadata_lines return yield_lines(self.get_metadata(name)) File "/www/server/panel/pyenv/lib/python3.7/site-packages/pkg_resources/__init__.py", line 1407, in get_metadata value = self._get(path) File "/www/server/panel/pyenv/lib/python3.7/site-packages/pkg_resources/__init__.py", line 1612, in _get return stream.read() OSError: [Errno 5] Input/output error Traceback (most recent call last): File "/www/server/panel/pyenv/lib/python3.7/site-packages/pkg_resources/__init__.py", line 2851, in get_entry_map ep_map = self._ep_map File "/www/server/panel/pyenv/lib/python3.7/site-packages/pkg_resources/__init__.py", line 2813, in __getattr__ raise AttributeError(attr) AttributeError: _ep_map During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/www/server/panel/BT-Panel", line 11, in <module> monkey.patch_all() File "/www/server/panel/pyenv/lib/python3.7/site-packages/gevent/monkey.py", line 966, in patch_all _notify_patch(events.GeventWillPatchAllEvent(modules_to_patch, kwargs), _warnings) File "/www/server/panel/pyenv/lib/python3.7/site-packages/gevent/monkey.py", line 168, in _notify_patch notify_and_call_entry_points(event) File "/www/server/panel/pyenv/lib/python3.7/site-packages/gevent/events.py", line 111, in notify_and_call_entry_points for plugin in iter_entry_points(event.ENTRY_POINT_NAME): File "/www/server/panel/pyenv/lib/python3.7/site-packages/pkg_resources/__init__.py", line 641, in <genexpr> for entry in dist.get_entry_map(group).values() File "/www/server/panel/pyenv/lib/python3.7/site-packages/pkg_resources/__init__.py", line 2854, in get_entry_map self._get_metadata('entry_points.txt'), self File "/www/server/panel/pyenv/lib/python3.7/site-packages/pkg_resources/__init__.py", line 2534, in parse_map for group, lines in data: File "/www/server/panel/pyenv/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3190, in split_sections for line in yield_lines(s): File "/www/server/panel/pyenv/lib/python3.7/site-packages/pkg_resources/__init__.py", line 2394, in yield_lines for ss in strs: File "/www/server/panel/pyenv/lib/python3.7/site-packages/pkg_resources/__init__.py", line 2765, in _get_metadata for line in self.get_metadata_lines(name): File "/www/server/panel/pyenv/lib/python3.7/site-packages/pkg_resources/__init__.py", line 1417, in get_metadata_lines return yield_lines(self.get_metadata(name)) File "/www/server/panel/pyenv/lib/python3.7/site-packages/pkg_resources/__init__.py", line 1407, in get_metadata value = self._get(path) File "/www/server/panel/pyenv/lib/python3.7/site-packages/pkg_resources/__init__.py", line 1612, in _get return stream.read() OSError: [Errno 5] Input/output error不行啊,这么长的一片,完全看不懂,紧接着使用修复命令——16,显示以下错误:ERROR: Exception: Traceback (most recent call last): File "/www/server/panel/pyenv/lib/python3.7/site-packages/pip/_internal/cli/base_command.py", line 173, in _main status = self.run(options, args) File "/www/server/panel/pyenv/lib/python3.7/site-packages/pip/_internal/commands/list.py", line 179, in run self.output_package_listing(packages, options) File "/www/server/panel/pyenv/lib/python3.7/site-packages/pip/_internal/commands/list.py", line 255, in output_package_listing data, header = format_for_columns(packages, options) File "/www/server/panel/pyenv/lib/python3.7/site-packages/pip/_internal/commands/list.py", line 307, in format_for_columns row = [proj.raw_name, str(proj.version)] File "/www/server/panel/pyenv/lib/python3.7/site-packages/pip/_internal/metadata/base.py", line 163, in raw_name retu rn self.metadata.get("Name", self.canonical_name) File "/www/server/panel/pyenv/lib/python3.7/site-packages/pip/_internal/metadata/pkg_resources.py", line 96, in metadata return get_metadata(self._dist) File "/www/server/panel/pyenv/lib/python3.7/site-packages/pip/_internal/utils/packaging.py", line 48, in get_metadata metadata = dist.get_metadata(metadata_name) File "/www/server/panel/pyenv/lib/python3.7/site-packages/pip/_vendor/pkg_resources/__init__.py", line 1420, in get_metadata value = self._get(path) File "/www/server/panel/pyenv/lib/python3.7/site-packages/pip/_vendor/pkg_resources/__init__.py", line 1617, in _get return stream.read() OSError: [Errno 5] Input/output error这个短,看出来是在/www/server/panel/pyenv/lib/python3.7/路径下出了问题。在宝塔论坛 发帖求助 也没人搭理。只好强硬的来尝试修复了——直接重命名/www/server/panel/pyenv/文件夹使用官方安装命令覆盖安装宝塔面板,修复python环境在安装了108分钟之后,顺利的进入到了后台,这时查看netstat -ntlp,也能看到8888端口了,一切正常了!!爽啊啊啊啊~~
傻瓜式教程——玩客云搭博客——从宝塔到穿透(问题&后记)
傻瓜式教程——玩客云搭博客——从宝塔到穿透(上)傻瓜式教程——玩客云搭博客——从宝塔到穿透(中)傻瓜式教程——玩客云搭博客——从宝塔到穿透(下)樱花frp设置参考之前说樱花frp开机自启没找到方法,但是可以使用任务计划在周期性是他自启。据群友说周期性反复启动会被检测封号,请酌情考虑是否周期性自启以及自启周期在宝塔任务计划面板,新建任务计划——任务类型 shell脚本任务名称 自填执行周期 自选脚本内容 ——#!/bin/bash cd /root str=$"/n" sstr=$(echo -e $str) nohup ./frpc -f xxxxxxxxxxxxxxxxxxxxxxx & echo "$sstr"因为樱花frp的隧道是http以及https是分开的隧道,因此我们申请两个隧道,分别关联http以及https,同时上述任务计划脚本也需要建立两个,然后在宝塔网站管理,开启强制SSL,即可使用http访问站点并强制跳转到https。日后的相关问题都会更新在这里
宝塔7.7来袭,一键升级&解锁企业版
根据反馈,本博客信息可能已经失效,请勿再使用最新版本:宝塔Linux正式版7.7.0 更新日期:2021/08/18优化HTTP通信模块增强对IPv6/IPv4共存情况下的可靠性调整sessionid名称为非固定名称数据库管理支持批量操作网站和数据库删除时增强提示和确认,减少误操作面板CSRF防御机制覆盖至面板websocket通信重构开发者模式(debug),允许在开发者模式下使用终端增加全局程序异常格式化显示优化软件商店修复部分机器修改用户名或密码后无法登录的问题终端对双因子认证服务端提供支持修复监控日志中的负载状态日志到期后未删除的问题修复绑定和解绑宝塔帐号后未能刷新状态的问题虽说没什么更新,都是一些琐碎的东西,但是新版本来袭,不更新体验一下说不过去。本喵的博客搭建在玩客云上的(安装的宝塔7.6),作为arm32的机器,还是没忍住升级了一下,但是很顺利的就升级成功了。升级的目的除了是看到是7.7新版本,更因为是想装上企业版,运行网站监控查看每个月的流量。虽说也是比较顺利的安装上了这个监控插件,但是nginx启动不起来了,网站配置信息也乱套了。最后只好不装了,没用上企业版的优势。一句话代码在这里: - 隐藏内容 - 资源收集自网络,造成损失自负。
傻瓜式教程——玩客云搭博客——从宝塔到穿透(下)
前言上一期写着写着,字就变多了,所以分成三个部分,这部分主要的在U盘上安装宝塔。刷机(续)刷机有风险,操作需谨慎!!!因刷机导致的问题本人概不负责。宝塔设置首次进入宝塔时,需要安装环境这里我们选择——Nginx(这里不推荐Apache) - 隐藏内容 - 之后慢慢等待安装即可。安装结束后,进入宝塔左侧软件商店——已安装,检测是否全部顺利安装,若缺失,即安装失败,重新在软件仓库安装即可。安装博客程序这里大家可以自选自己的博客,或者是其他的web程序。使用文件管理后台安装好后,,,,,,我想大家都会,就不啰嗦了。检查博客在绑定本地80接口后,进入本地ip,查看是否顺利。能顺利访问即可。樱花frp注册樱花frp在本地检查无误后,进入樱花frp官网,注册账号。若使用ssl方式连接国内节点,需开放宝塔443接口,以及一元的樱花frp实名认证。创建隧道创建一条隧道创建成功后,可得到图中红字启动参数,记下来。frpc客户端下载 - 隐藏内容 - 可见隧道已经成功连同。frp自启动这个本喵没成功,部分参考代码放在这里,有成功的感谢指教。 - 隐藏内容 - 教程结束
傻瓜式教程——玩客云搭博客——从宝塔到穿透(中)
前言上一期写着写着,字就变多了,所以分成三个部分,这部分主要的在U盘上安装宝塔。刷机(续)刷机有风险,操作需谨慎!!!因刷机导致的问题本人概不负责。U盘准备因为玩客云emmc容量仅为6.5G,为了日后方便,我们将宝塔面板装入U盘(硬盘同理)。若不打算装U盘,可跳过此步骤。格式化U盘 - 隐藏内容 - 创建U盘自启动在根目录下创建www文件夹。挂载U盘命令mount /dev/sda1 /www同样的卸载U盘命令是—— umount /dev/sda1 使用命令df-h可查看U盘挂载状况。在/etc/rc.local文件里添加(exit 0上面一行):mount /dev/sda1 /www这里不推荐修改fstab,修改失误会导致开机失败,前功尽弃。使用reboot命令重启系统(玩客云armbian)。再次进入shh后,使用命令df -h查看时候开机自动挂载。启动Winscp,查看根目录下是否成功挂载www目录。刷入宝塔 - 隐藏内容 - 等待即可。。。。漫长的等待过后,我们会得到宝塔面板的地址,账号,密码在浏览器输入地址后,进入宝塔后台。
博客迁入至新家——玩客云搭设博客,及这周的艰辛记录
之前一直白嫖大佬的服务器,但是备份一直都是一件麻烦事。万一数据丢失那可就是超级心痛了。于是,手上的一台玩客云就成了我的目标。 首先决定刷机时,他已经是被刷成电视盒的形态。但是有谁会去经常看电视呢,性能4H1G的S805芯片,做博客岂不正合适。一开始,我并没有直接去刷宝塔搭设博客环境,而是想用它来搭设mc的服务器。人不用多3-5人就可以,但是出乎我的预料,折腾了整整三天,始终无法达成目标。于是草草的记录了一下刷mc的过程。感谢大毛的教学,无论是视频还是公众号的教程,也感谢他创建的Q群的好心的小伙伴们的耐心帮助,MC服务器也总算是搭建起来了。但是!有个超级难过的地方,那就是爆内存了,我开着小船,吹着风,划着水,然后被踢出服务器了。我进后台一看,说我小船划得太快?这样就没办法了,这还是纯净,没装mod呢。于是毅然决然放弃,装宝塔!宝塔也是超级一波三折。首先下载半天进度不住报错。一开始我以为是包的问题,后来才想起是长城宽带的问题。但是玩客云插网线,没办法走梯子(非智能路由)或者是流量。也更换过hosts,依旧没效果。然后折腾了半天想到了走手机流量做无线桥接,完美 。但是新问题来了,运行ssh时,经常发发生间歇性断网,后来设置成了屏幕常亮(被限制后台了)就好了。还有我装了半天宝塔5.9.2,装了Apache环境,结果穿透的时候报错,网上说是Apache的问题,于是换nginx。宝塔5.9.2的nginx版本只到1.15,arm装不上,凉凉。然后如法炮制装宝塔7.6,也是装了好久,报错。群里大佬提醒我换个底包,因为7.6较新,我就换了一个5.88的armbian,顺利装好——到mysql装到99%的时候,emmc的6.4G容量爆了!woc,这怎么办,只能迁移到U盘。大毛的代码经常有问题,人还常年不在线问不到,于是百度搜到做个软链,投到/www,可是新的问题又来了,这样的话宝塔不能自启。在慕竹大佬的建议下,迁移到了U盘根目录,删掉了软链,但是宝塔的启动顺序还是不能确定。最后参考百度,在/etc/rc.local下,添加/etc/init.d/bt start使问题得到了解决。然后就是安装网站环境,对于不能自启的bug,同样在/etc/rc.local下添加相应的指令。对于我打算在自启时,运行樱花frp的计划失败了,命令总是不对,在Q群白糖的建议下,选择了一段时间启动一次的方式。就记录这么多了。
萌ICP备20210005号 辽ICP备2021005644号-1 辽公网安备 21021102000984号 本站已运行 2 年 202 天 13 小时 34 分 51统计 百度统计 自豪地使用 Typecho 建站,并搭配 MyDiary 主题 Copyright © 2020 ~ 2022. 火喵博客・日记本 All rights reserved.
历史足迹
分类目录
  • 日常
  • 晒物
  • 🦙 代码
  • 🏗️ 建站
  • 📷 生活